<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lista de arquivos</title>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../css/styles.css" rel="stylesheet" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
</head>
<body>
<div class="container mt-4">
    <div class="text-center">
        <h1 class="mb-2">Lista de Backups Salvos</h1>
        <p class="lead">Clique na lista para copiar o nome do Backup</p>
    </div>
    <div class="list-group mx-auto text-center">
        <?php
        header('Content-type: text/html; charset=UTF-8');

        $dir = 'arquivos/'; // substitua pelo caminho do diretório que você deseja ler
        $files = glob($dir . '/*');

        foreach($files as $file) {
            if(is_file($file)) {
                $fileName = basename($file);
                $modifiedDate = date('d/m/Y H:i:s', filemtime($file));
                echo '<a href="#" class="list-group-item list-group-item-action" data-clipboard-text="' . $fileName . '">
                        <h5 class="mb-1">' . $fileName . '</h5>
                        <small class="text-primary">Última modificação em: ' . $modifiedDate . '</small>
                      </a>';

            }
        }
        ?>
    </div>
</div>

<!-- Bootstrap core JS-->
<script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<!-- Core theme JS-->
<script src="../js/scripts.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.8/clipboard.min.js"></script>
<script>
    var clipboard = new ClipboardJS('.list-group-item');

    clipboard.on('success', function(e) {
        e.trigger.classList.add('list-group-item-success');
        setTimeout(function() {
            e.trigger.classList.remove('list-group-item-success');
        }, 1000);
        e.clearSelection();
        toastr.info("Nome do Backup Copiado com Sucesso!");
    });

    clipboard.on('error', function(e) {
        alert('Não foi possível copiar o nome do arquivo.');
    });
</script>

</body>
</html>

