<?php
include "conf.php";
mysqli_set_charset($conexao, 'utf8');
include("../protection_admin.php");
protect();
?>

<!DOCTYPE html>
<html lang="pt-br">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Alterar Lista de Problemas</title>
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="../sistema_caixa/restaura/css/styles.css" rel="stylesheet" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
    </head>
    <body>

        <!-- Page content wrapper-->
        <div id="page-content-wrapper">
            <!-- Top navigation-->
            <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                <div class="container-fluid">
                    <button class="btn btn-primary" id="sidebarToggle" onclick="voltar();">Voltar</button>

                </div>
            </nav>
            <!-- Page content-->
            <div class="container mt-5">
                <h1 class="mt-4">Lista de Problemas</h1>
                <br/>
                <br/>
                <div class="form-group row">
                    <label for="exampleTextarea" class="col-md-12 mb-3">Clique para editar a Lista:</label>

                    <div class="col-md-6">
                        <textarea class="form-control" id="exampleTextarea" rows="23"></textarea>
                    </div>
                </div>
                <br/>
                <br/>
                <div class="text-center row">
                    <div class="col-md-6">
                        <button type="button" class="btn btn-primary btn-lg btn-block" onclick="salvarLista()">Salvar Lista</button>
                    </div>
                </div>
                <br/>
                <br/>
            </div>

        </div>
    </div>
    <!-- Bootstrap core JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
    <!-- Core theme JS-->
    <script src="../sistema_caixa/restaura/js/scripts.js"></script>
    <script>

                            buscalista();
                            function buscalista() {
                                var textarea = $('#exampleTextarea');

                                $.ajax({
                                    type: "GET",
                                    url: "lt_prob.php",
                                    data: "",
                                    success: function (result) {
                                        // Remove o "#" do final de cada linha
                                        var lines = result.split('#');
                                        // Define o valor do textarea com o conteúdo do arquivo
                                        textarea.val(lines.join('\n'));                                      
                                    },
                                    error: function () {
                                        toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                    }
                                });
                            }

                            function salvarLista() {
                                var textarea = $('#exampleTextarea');

                                // Obtém o conteúdo do textarea
                                var content = textarea.val();

                                // Envia o conteúdo do textarea para o arquivo save_prob.php
                                $.ajax({
                                    type: "POST",
                                    url: "save_prob.php",
                                    data: {
                                        content: content
                                    },
                                    dataType: "json", // Indica que o retorno será um objeto JSON
                                    success: function (result) {
                                        if (result.resposta === "ok") {
                                            buscalista();
                                            toastr.success('Lista salva com sucesso', 'Sucesso!', {"progressBar": true});
                                        } else {
                                            toastr.error('Erro ao Salvar Lista', 'Erro!', {"progressBar": true});
                                        }
                                    },
                                    error: function () {
                                        toastr.error('Erro ao Salvar Lista - Veja Permissões do Arquivo', 'Erro!', {"progressBar": true});
                                    }
                                });
                            }



                            function voltar() {
                                window.location.href = "../configuracoes_sistema.php";
                            }
    </script>
</body>
</html>