<?php ?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Lista de Fibras</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

        <link rel="stylesheet" href="../assets/css/main.css" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="../painel-gerenciamento.php" class="logo"><strong>MK-Auth Suporte</strong> por JJR Electronics</a>
                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h2>Lista de Fibras Cadastradas</h2>
                        </header>

                        <div class="row uniform">
                            <h4>Pesquise a fibra pelo nome</h4>
                            <div class="4u 12u$(xsmall)">
                                <input type="search" name="valueToSearch" placeholder="Insira aqui Sua pesquisa" id="valueToSearch"/>
                            </div>
                        </div>
                        <br>
                        <img src="image/icon-add-new.png" alt="Inserir Nova Fibra" title = "Inserir Nova Fibra" style="cursor:pointer; cursor:hand; transform: scale(0.7);" onclick="abrir_inserir_fibra();"/>
                        <img src="image/icon-abrir-mapa.png" alt="Mapa de caixas" title = "Mapa de Caixas" style="cursor:pointer; cursor:hand; transform: scale(0.7);" onclick="abrir_mapa();"/>
                        <img src="image/icon-database-50.png" alt="Importar Arquivo KML" title = "Importar Arquivo KML" style="cursor:pointer; cursor:hand; transform: scale(0.7);" onclick="importar_doc();"/>
                        <br>

                        <div class="table-wrapper">
                            <table class="alt">
                                <thead>
                                    <tr  align = "center">
                                        <th>NOME</th>
                                        <th>TIPO FIBRA</th>
                                        <th>COR FIBRA</th>
                                        <th>ESPESSURA FIBRA</th>
                                        <th>TEM ROTA</th>
                                        <th>AÇÕES</th>
                                    </tr>
                                </thead>
                                <tbody id="listavend">

                                </tbody>

                            </table>

                        </div>

                    </section>

                </div>
            </div>



            <!-- Sidebar -->
            <div id="sidebar">
                <div class="inner">

                    <!-- Menu -->
                    <nav id="menu">
                        <header class="major">
                            <h2>Menu</h2>
                        </header>
                        <ul>
                            <li><a href="../painel-gerenciamento.php">Lista de Usuários</a></li>
                            <li><a href="../bate-papo.php">Bate Papo</a></li>
                            <li><a href="../mapa-clientes.php">Mapa Clientes</a></li>
                            <li><a href="../lista-clientes.php">Lista de Clientes</a></li>
                            <!--li><a href="mapa-funcionarios.php">Mapa Funcionários</a></li-->
                            <li><a href="" onclick="abrir_mapa();">Mapa Caixas</a></li>
                            <li><a href="lista-caixas.php">Lista de Caixas</a></li>
                            <li><a href="lista-fibras.php"><font color="#f56a6a">Lista de Fibras</font></a></li>
                            <li><a href="../configuracoes_sistema.php">Configurações do Sistema</a></li>
                            <li><a href="../lista-cliente-conex.php">Problemas de Conexão</a></li>
                            <li><a href="../abrir-chamado.php">Abrir Chamado</a></li>
                            <li><a href="../info-mapa.php">Ver Informações do Mapa</a></li>
                            <li><a href="../area-opcoes.php">Voltar a Área de Opções</a></li>
                            <li><a href="../painel-gerenciamento.php?page=sair">Sair</a></li>
                        </ul>
                    </nav>

                    <!-- Section -->
                    <section>
                        <header class="major">
                            <h2>Suporte JJR Electronics</h2>
                        </header>
                        <p>Nós da JJR Electronics estamos felizem em te atender todos os dias a partir das 17h. Em caso de urgência entre em contato conosco atraves de nosso telefone que também é Whatsapp.</p>
                        <ul class="contact">
                            <li class="fa-globe"><a href="http://jjrelectronics.com/">Site JJR Electronics</a></li>
                            <li class="fa-phone">(088) 99456-2205</li>
                            <li class="fa-home">Rua doze de outubro, 352<br />
                                Vila União, Sobral, Ceará - 62021-020</li>
                        </ul>
                    </section>

                    <!-- Footer -->
                    <footer id="footer">
                        <p class="copyright">&copy; 2017. Todos os Direitos Reservados. Design: <a href="http://jjrelectronics.com/">JJR Electronics</a>.</p>
                    </footer>

                </div>
            </div>

        </div>

        <!-- Scripts -->
        <script src="../assets/js/jquery.min.js"></script>
        <script src="../assets/js/skel.min.js"></script>
        <script src="../assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="../assets/js/main.js"></script>
        <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

        <script>
                                listaFibras();
                                function listaFibras() {

                                    var nfibra = $("#valueToSearch").val();//document.getElementById('ncontrat');

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "lista-fibras-data.php?valueToSearch=" + nfibra,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            $("#listavend").html(result);
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                $("#valueToSearch").on('input', function () {
                                    listaFibras();
                                    // alert("foi");
                                });

                                function mostraFibraMapa(fibra) {

                                    var popupWinWidth = screen.availWidth - 100;
                                    var popupWinHeight = screen.availHeight - 100;

                                    var left = (screen.width - popupWinWidth) / 2;
                                    var top = (screen.height - popupWinHeight) / 4;

                                    let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                    var caminho = "mostra-fibra-mapa.php?fibra=" + fibra;

                                    open(caminho, 'paginamfibramapa', params);

                                }

                                function deleteme(delid) {
                                    if (confirm("Você quer realmente deletar essa fibra?")) {
                                        jQuery.ajax({
                                            type: "GET",
                                            url: "delfiber.php?del=" + delid,
                                            data: "", //, age1: $('#age1').val()},
                                            success: function (result) {
                                                //document.getElementById("azzas").innerHTML = "Mensagens Privadas para: " + user;
                                                listaFibras();
                                                toastr.success('Fibra Deletada com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                            },
                                            error: function () {
                                                toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                            }
                                        });
                                    }
                                }

                                function abrir_mapa() {

                                    var popupWinWidth = screen.availWidth - 100;
                                    var popupWinHeight = screen.availHeight - 100;

                                    var left = (screen.width - popupWinWidth) / 2;
                                    var top = (screen.height - popupWinHeight) / 4;

                                    let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                    var caminho = "mapa-caixa.php";

                                    open(caminho, 'paginalfibramapa', params);

                                    //window.location.href = "";
                                }

                                function abrir_inserir_fibra() {
                                    window.location.href = "lista-inserir-fibra.php";
                                }

                                function editarFibra(fibra) {
                                    window.location.href = "lista-editar-fibra.php?fibra=" + fibra;
                                }

                                function importar_doc() {
                                    window.location.href = "restaura/?x=1";
                                }
        </script>

    </body>
</html>
