<?php

include "../config.php";
mysqli_set_charset($conexao, 'utf8');

if(isset($_GET['arquivo'])){
    
    $arquivo = $_GET['arquivo'];

    // Carrega o arquivo KML
    $xml = simplexml_load_file("../arquivo_earth/$arquivo");

    // Obtm todos os elementos "Placemark" do KML
    $placemarks = $xml->Document->Placemark;

    // Processa cada elemento "Placemark"
    foreach ($placemarks as $placemark) {
        // Verifica se o elemento "Placemark" contm um ponto (marcador)
        if (isset($placemark->Point)) {
            // Obtm o nome e as coordenadas do elemento "Placemark"
            $name = mysqli_real_escape_string($conexao, (string) $placemark->name);
            $coordinates = (string) $placemark->Point->coordinates;

            $coords_array = explode(",", $coordinates);
            if (count($coords_array) >= 2) {
                $latitude = $coords_array[1];
                $longitude = $coords_array[0];
            } else {
                $latitude = "";
                $longitude = "";
            }

            // Insere os dados na tabela "caixa"
            mysqli_query($conexao, "INSERT INTO mp_caixa (nome, latitude, longitude, tipo, capacidade) VALUES ('$name', '$latitude', '$longitude', 'cto', '8')");
        }
        // Verifica se o elemento "Placemark" contm uma linha (polilinha)
        elseif (isset($placemark->LineString)) {
            $rota = array();
            // Obtm o nome e as coordenadas do elemento "Placemark"
            $name = mysqli_real_escape_string($conexao, (string) $placemark->name);
            $coordinates = (string) $placemark->LineString->coordinates;

            // Separa as coordenadas em um array
            $coords_array = explode(" ", $coordinates);

            // Faz um loop pelo array de coordenadas para acessar os valores de latitude e longitude
            foreach ($coords_array as $coords) {
                $coord_pair = explode(",", $coords);
                $latitude = isset($coord_pair[1]) ? $coord_pair[1] : '';
                $longitude = isset($coord_pair[0]) ? $coord_pair[0] : '';

                $nlat = trim($latitude);
                $nlng = trim($longitude);

                if ($nlat != '' && $nlng != '') {
                    $rota[] = array("lat" => $nlat, "lng" => $nlng);
                }
            }

            // Transforma o array em uma string JSON
            $string_rota = mysqli_real_escape_string($conexao, json_encode($rota, true));

            // Insere os dados na tabela "fibra"
            mysqli_query($conexao, "INSERT INTO mp_fibra (nome, tipo, cor, stroke, rota) VALUES ('$name', '1', '#FF0000', '3', '$string_rota')");
        }
        // Caso contrrio, o elemento "Placemark" no contm nem um ponto nem uma linha
        else {
            // Faz algo (exemplo: ignora o elemento)
        }
    }

    // Fecha a conexo com o banco de dados
    mysqli_close($conexao);
    $foo = new StdClass();
    $foo->resposta = "ok";
    $json = json_encode($foo);
    echo $json;
}