<?php
include("../protection_admin.php");
//protect();

header('Content-type: text/html; charset=UTF-8');
include "conf.php";

mysqli_set_charset($conexao, 'utf8');

$query = "select * from mp_user";
$dados = mysqli_query($conexao, $query); // or die(mysql_error());
//$linha = mysqli_fetch_assoc($dados);
$total = mysqli_num_rows($dados);
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Relatório de Consumo de Estoque</title>
        <link href="../sistema_caixa/restaura/css/styles.css" rel="stylesheet" />        
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <style>
            .text-custom-blue {
                color: #1e3c72;
                font-weight: 600;
            }
	    .imprimir-btn {
                position: fixed;
                bottom: 20px;
                right: 20px;
                z-index: 999;
            }
            @media print {
.imprimir-btn {
        visibility: invisible;
    }

.imprimir-btn::before {
        content: none !important;
    }

    @page {
        margin: 0;
    }
}

        </style>
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <div class="container">
                <a class="navbar-brand" href="" onclick="fecharTela();">Fechar Relatório</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item active">
                            <!--a class="nav-link" href="#">Início</a-->
                        </li>
                        <!-- Adicione mais itens de navegação conforme necessário -->
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container">
            <h1 class="mt-5 text-center">Relatório de Consumo de Estoque</h1>
            <h4 class="mt-5 text-center">Escolha um período e um técnico</h4>
            <div class="row mt-3 justify-content-center">
                <div class="col-md-3">
                    <label for="dataInicio">Data Início</label>
                    <input type="date" class="form-control" id="dataInicio">
                </div>
                <div class="col-md-3">
                    <label for="dataFim">Data Fim</label>
                    <input type="date" class="form-control" id="dataFim">
                </div>
                <div class="col-md-5">
                    <label for="tecnico">Técnico</label>
                    <div class="input-group">
                        <select class="form-control" id="tecnico">
                            <option value="">Selecione</option>
                            <?php
                            if ($total > 0) {
                                while ($linha = mysqli_fetch_assoc($dados)) {
                                    $tecnico = $linha['nome'];
                                    $logintec = $linha['login'];

                                    echo '<option value="' . $logintec . '">' . $tecnico . '</option>';
                                }
                            }
                            ?>
                        </select>
                        <div class="input-group-append">
                            <button type="button" class="btn btn-primary ml-3" data-toggle="tooltip" data-placement="top" title="Pesquisar" onclick="buscarRelatorio();">
                                <i class="fas fa-search"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <table class="table table-striped mt-4">
                <thead>
                    <tr>
                        <th class="text-center">Produto</th>
                        <th class="text-center">Quantidade</th>
                        <th class="text-center">Cliente</th>
                        <th class="text-center">Tipo</th>
                        <th class="text-center">Data de Uso</th>
                    </tr>
                </thead>
                <tbody id="listastoq">

                </tbody>
            </table>
<button class="btn btn-primary imprimir-btn" onclick="window.print()">
        <i class="fas fa-print"></i> Imprimir
    </button>

    <!-- Adiciona o link para a folha de estilo de impressão -->
    <link rel="stylesheet" type="text/css" href="impressao.css" media="print" />

        </div>
        <script>

            function fecharTela() {
                window.close();
            }

            function buscarRelatorio() {
                // Obter os elementos pelo ID
                const dataInicio = document.getElementById('dataInicio');
                const dataFim = document.getElementById('dataFim');
                const tecnico = document.getElementById('tecnico');

                // Obter os valores dos elementos
                const dataInicioValue = dataInicio.value;
                const dataFimValue = dataFim.value;
                const tecnicoLogin = tecnico.value;

                // Verificar se os valores estão preenchidos
                if (dataInicioValue === '' || dataFimValue === '' || tecnicoLogin === '') {
                    toastr.warning('Preencha todos os campos', 'Erro de pesquisa!', {"progressBar": true});
                    return;
                }

                jQuery.ajax({
                    type: "POST",
                    url: "data-relatorio-estoque.php",
                    data: jQuery.param({
                        dataInicio: dataInicioValue,
                        dataFim: dataFimValue,
                        tecnicoLogin: tecnicoLogin
                    }),
                    success: function (result) {
                        $("#listastoq").html(result);
                        toastr.info('Dados Retornados', 'Sucesso!', {"progressBar": true});
                    },
                    error: function () {
                        toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                    }
                });
            }

            function verHistorico(tecnico, data) {
                var popupWinWidth = screen.availWidth - 100;
                var popupWinHeight = screen.availHeight - 100;

                var left = (screen.width - popupWinWidth) / 2;
                var top = (screen.height - popupWinHeight) / 4;

                let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                var caminho = "lista-historico-tecnico.php?tecnico=" + tecnico + "&data=" + data;

                open(caminho, 'listrahisttecnico', params);
            }


        </script>

        <!-- jQuery -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

        <!-- Toastr -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

        <!-- Bootstrap -->
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <!-- Core theme JS-->
        <script src="../sistema_caixa/restaura/js/scripts.js"></script>

    </body>

</html>




